OBIO(4)

NAME
obio - Mac68k onboard I/O bus device

SYNOPSIS
obio0 at mainbus?

DESCRIPTION
The obio interface serves as an abstraction used by the autoconfiguration system to help find and attach devices (e.g. the Ethernet or SCSI controllers) connected to the Macintosh onboard I/O bus.

OpenBSD provides support for the following devices:

asc(4)
    Apple Sound Chip on-board audio device
esp(4)
    ESP NCR 53c96 on-board SCSI interface
macfb(4)
    Macintosh frame buffers
mc(4)
    Am79C940 (MACE) on-board Ethernet device
ncrscsi(4)
    NCR 5380 on-board SCSI interface
sbc(4)
    NCR 5380 on-board SCSI interface
sn(4)
    SONIC-based Ethernet device
zsc(4)
    Zilog 8530 (ZSCC) serial communications driver

SEE ALSO
adb(4), intro(4), mainbus(4)

HISTORY
The obio first appeared in OpenBSD 2.0.